// embedguiView.cpp : implementation of the CEmbedguiView class
//

#include "stdafx.h"
#include "embedgui.h"

#include "embedguiDoc.h"
#include "embedguiView.h"

#include "gui\gui.h"
#include "gui\gui_i.c"
#include <comdef.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView

IMPLEMENT_DYNCREATE(CEmbedguiView, CView)

BEGIN_MESSAGE_MAP(CEmbedguiView, CView)
	//{{AFX_MSG_MAP(CEmbedguiView)
	ON_COMMAND(ID_EMBEDDEDGUIAPP_GUIFROMATLDLL, OnEmbeddedguiappGuifromatldll)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView construction/destruction

CEmbedguiView::CEmbedguiView()
{
	// TODO: add construction code here

}

CEmbedguiView::~CEmbedguiView()
{
}

BOOL CEmbedguiView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView drawing

void CEmbedguiView::OnDraw(CDC* pDC)
{
	CEmbedguiDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
	pDC->TextOut(0, 20, "Select DllGUI | GUI from ATL DLL from menu");
	

}

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView printing

BOOL CEmbedguiView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CEmbedguiView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CEmbedguiView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView diagnostics

#ifdef _DEBUG
void CEmbedguiView::AssertValid() const
{
	CView::AssertValid();
}

void CEmbedguiView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CEmbedguiDoc* CEmbedguiView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CEmbedguiDoc)));
	return (CEmbedguiDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CEmbedguiView message handlers

void CEmbedguiView::OnEmbeddedguiappGuifromatldll() 
{
	// TODO: Add your command handler code here
	HRESULT hr;
	CString strErrMsg;

	hr = CoCreateInstance(CLSID_EmbeddedGui,
			              NULL,
						  CLSCTX_INPROC_SERVER,
						  IID_IEmbeddedGui,
						  (void**)&m_pGUI);
	_com_error	e1(hr);
	if(!SUCCEEDED(hr))
	{
		strErrMsg.Format("%s", e1.ErrorMessage());
		AfxMessageBox(strErrMsg);
		return;

	}

	m_pGUI->ActivateGUI();

}
